Skip to main content

setTrustCenterScanAssets

Replace the set of assets whose scans the Trust Center's public page reports

setTrustCenterScanAssets(
input: SetTrustCenterScanAssetsInput!
): SetTrustCenterScanAssetsPayload

Arguments​

setTrustCenterScanAssets.input ● SetTrustCenterScanAssetsInput! non-null input​

Parameters for SetTrustCenterScanAssets

Type​

SetTrustCenterScanAssetsPayload object​

Autogenerated return type of SetTrustCenterScanAssets.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the trustCenters query first and use data.trustCenters.collection[].id as trustCenterId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateSetTrustCenterScanAssets($input: SetTrustCenterScanAssetsInput!) {\n setTrustCenterScanAssets(input: $input) { clientMutationId trustCenter { id application { __typename } asset { __typename } } }\n}","variables":{"input":{"trustCenterId":1,"assetIds":[1]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute